"""
Test client for MAGURO

Connects to the specified DSN and tries to create a table.
Tip: You should use an account which has not privileges 
to create the table.

i.e.

a) connecting cli directly to sql server fails:

>cli.py w2ks-sql2000
[.] connecting to server w2ks-sql2000...
[!] connected to server w2ks-sql2000 OK
Traceback (most recent call last):
  File "C:\tmp\cli.py", line 31, in ?
    cursor.execute("create table katakuris (line varchar(42))")
dbi.program-error: [Microsoft][ODBC SQL Server Driver][SQL Server]CREATE TABLE p
ermission denied in database 'master'. in EXEC

b) connecting cli to sql server thru maguro tunel works:
(w2ks-sql2000-tunel points to localhost where our maguro tunel is running)

>cli.py w2ks-sql2000-tunel
[.] connecting to server w2ks-sql2000-tunel...
[!] connected to server w2ks-sql2000-tunel OK
Traceback (most recent call last):
  File "C:\tmp\cli.py", line 48, in ?
    print cursor.execute("create table katakuris (line varchar(42))")
dbi.program-error: [Microsoft][ODBC SQL Server Driver][SQL Server]There is alrea
dy an object named 'katakuris' in the database. in EXEC


--
idem:
>cli.py argeniss-ew2003-tunel
>cli.py argeniss-ew2003
"""


import sys
import dbi
import odbc

if len(sys.argv) != 2:
	print 'usage: %s target-server-dsn' % sys.argv[0]
	print 'note: target-server-dsn should be a localhost dsn if you want to test the magik tunel'
	sys.exit(-1)

dsn = 'DSN=%s' % sys.argv[1]
print '[.] connecting to server %s...' % sys.argv[1]
conn = odbc.odbc(dsn)
cursor = conn.cursor()
print '[!] connected to server %s OK' % sys.argv[1]
print cursor.execute("create table katakuris (line varchar(42))")
print '[!] done'
